[jira] [Commented] (SYNCOPE-1208) MIgrate to JUnit 5

classic Classic list List threaded Threaded
1 message Options
Reply | Threaded
Open this post in threaded view
|

[jira] [Commented] (SYNCOPE-1208) MIgrate to JUnit 5

JIRA jira@apache.org

    [ https://issues.apache.org/jira/browse/SYNCOPE-1208?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=16166021#comment-16166021 ]

Francesco Chicchiriccò commented on SYNCOPE-1208:
-------------------------------------------------

Putting this on hold as {{maven-surefire-plugin}} 2.20.1 seems to be required: https://github.com/junit-team/junit5/issues/855

> MIgrate to JUnit 5
> ------------------
>
>                 Key: SYNCOPE-1208
>                 URL: https://issues.apache.org/jira/browse/SYNCOPE-1208
>             Project: Syncope
>          Issue Type: Task
>            Reporter: Francesco Chicchiriccò
>            Assignee: Francesco Chicchiriccò
>             Fix For: 2.1.0
>
>
> JUnit 5 is available since a while now.
> There is also a [guide|http://www.baeldung.com/junit-5-migration] for migrating test code, and a [support library|https://github.com/sbrannen/spring-test-junit5] for running tests with Spring.



--
This message was sent by Atlassian JIRA
(v6.4.14#64029)